Wonder
get/api/v1/biz/login/qrcodes/{serverCode}

Query login QR code status

Returns the current QR code status. Poll every ~2 seconds and stop as soon as the status is no longer PENDING.

Path parameters

serverCoderequired
string

Polling handle returned when the QR code was created

Example: <64-char handle>

Header parameters

Authorizationrequired
string

Bearer token: `Bearer <biz_app JWT>`, where the `biz_app` token is issued by `POST /api/v1/biz/token`

Example: Bearer <biz_app JWT>

x-request-id
string

Example: {{$string.uuid}}

Content-typerequired
string

Example: application/json

Responses

Current QR code status. Additional session fields are present only when the status is `SUCCESS`

jti
string

JWT ID of the device session. Present only on `SUCCESS`

object
id
string

Wonder user ID

name
string

User display name

email
string

User email address

token
string

The `user_grant` JWT for this device session

status
enum<string>

Current QR code status

PENDINGSUCCESSREJECTEDEXPIRED

user_id
string

Authorized user ID. Present only on `SUCCESS`.

object
id
string

Business ID

business_name
string

Business display name

business_legal_name
string

Registered legal name of the business

device_id
string

Device ID of the delivered session

expires_at
string<date-time>

QR code expiration time

business_id
string

Authorized business ID. Present only on `SUCCESS`

server_code
string

Polling handle

refresh_token
string

Refresh token for this device session

token_expired_at
string<date-time>

Access token expiration time

refresh_token_expired_at
string<date-time> | null

Refresh token expiration time. `null` means it never expires